get
https://{domainname}/cloudAgentRestAPI/index.php/CloudAgent/CloudAgentAPI/getCDR
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Deprecation UpdateThis API will be deprecated by 30th April 2025.
We recommend to start using the new version of the API's to generate Call Detail Reports:
By using this API, users can access detailed call activity information and retrieve reports from the dashboard portal for the current day.
To access this API the following parameters MUST be passed.
| Parameters | Description |
|---|---|
| api_key* | Available in CloudAgent admin login |
| user_name* | CloudAgent account name |
| from_date* | Date and Time in format yyyy-mm-dd hh:mm:ss |
| to_date* | Date and Time in format yyyy-mm-dd hh:mm:ss |
| format | json/xml Response format |
Possible responses
| Success Response | { "status": "success", "message": [ { "UCID": "90xxxxxxxxxxx2", "monitorUCID": "90xxxxxxxxxxx2", "UUI": "", "Did": "918xxxxxx321", "Location": "", "StartTime": "2024-08-19 11:07:07", "CallerID": "92xxxxxxx4", "PhoneName": "5xxx66", "Skill": "", "EndTime": "2024-08-19 11:07:08", "TimeToAnswer": "", "Duration": null, "FallBackRule": "AgentDial", "DialedNumber": "Agent1", "Type": "Manual", "AgentID": "Agent1", "AgentUniqueID": "714", "AgentName": "Agent1", "Disposition": "", "HangupBy": "AgentHangup", "Status": "NotAnswered", "AudioFile": "", "TransferType": "No Transfers", "TransferredTo": "", "Comments": "", "DialStatus": "Not Answered", "ApiKey": "No Transfers", "AgentStatus": "InvalidNumber", "CustomerStatus": "NotDialed", "Campaign": "offline" } ][ { "UCID": "90xxxxxxxxxxx2", "monitorUCID": "90xxxxxxxxxxx2", "UUI": "", "Did": "918xxxxxx321", "Location": "", "StartTime": "2024-08-19 11:07:07", "CallerID": "92xxxxxxx4", "PhoneName": "5xxx66", "Skill": "", "EndTime": "2024-08-19 11:07:08", "TimeToAnswer": "", "Duration": null, "FallBackRule": "AgentDial", "DialedNumber": "Agent1", "Type": "Manual", "AgentID": "Agent1", "AgentUniqueID": "714", "AgentName": "Agent1", "Disposition": "", "HangupBy": "AgentHangup", "Status": "NotAnswered", "AudioFile": "", "TransferType": "No Transfers", "TransferredTo": "", "Comments": "", "DialStatus": "Not Answered", "ApiKey": "No Transfers", "AgentStatus": "InvalidNumber", "CustomerStatus": "NotDialed", "Campaign": "offline" } ] } |
| Missing api_key | { "status": "failure", "message": "Please provide API Key" } |
| Invalid api_key | { "status": "failure", "message": "no record found" } |
| Missing user_name | { "status": "failure", "message": "Please provide UserName" } |
| user_name is invalid | { "status": "failure", "message": "no record found" } |
| from_time or to_time is set to more than 30 days | { "status": "failure", "message": "The Requested date should not be more than 30 days" } |
| no data entered | "status": "failure "message": "no record found" |
Further InsightsBy default, the domain name is https://in1-ccaas-api.ozonetel.com. Please refer here to change based on the need.
